Verify that an offer was properly settled onchain and get a signature for a settlement transaction
cURL
curl --request POST \ --url https://oracle.checkpoint.exchange/claim/settlement \ --header 'Content-Type: application/json' \ --data ' { "chainId": 42161, "evm_tx": "0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890", "offerId": "123" } '
{ "success": true, "claim": { "nonce": "0", "expiry": "1760896448", "chainId": "421614", "settlementChainId": "42161", "account": "0x000100000014d8da6bf26964af9d7eed9e03e53415d37aa96045", "offerId": "123", "txhash": "0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890" }, "signature": "0xdef4567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef" }
The chain ID where the settlement transaction occurred
42161
The transaction hash of the settlement transaction
"0xabc123def4567890abc123def4567890abc123def4567890abc123def4567890"
The offer ID
"123"
Successful settlement verification
true
Show child attributes
"0xdef4567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
Was this page helpful?